Subject: bug#28519: 26.0.50; Dired move of directory across partition boundary fails

From: Adam Plaice <[email-masked]>
Date: Mon, 25 Sep 2017 14:30:30 +0100

I was overly hasty in assuming that the issue with moving directories
to a remote tramp directory is the same as the above bug (with moving
to a different partition).

The former (the "tramp bug") is present in 25.1 — it's also present in
24.5 and 23.4. The latter (the above "different partition bug") is not
present in 25.1 or earlier (it was introduced after
52739ffe773eb403f58a6223b7ef64175df58dd7).

I currently don't have much time, but I will file a proper bug report
for the "tramp bug" when I have some.

(I have tested the "tramp bug" on several different machines (as both
the "source" and the "remote"), with emacs -Q, but they were all
Ubuntu 16.04, so if I were to speculate, it's quite possible that the
bug was introduced by changes in the underlying system
libraries/programs.)